Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| SWIXML 1.5 (#144)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.swixml
Interface Converter

All Known Implementing Classes:
  ActionConverter, BorderConverter, ColorConverter, ComponentConverter, DimensionConverter, FontConverter, ImageConverter, ImageIconConverter, InsetsConverter, KeyStrokeConverter, LayoutConverter, LocaleConverter, PointConverter, PrimitiveConverter, RectangleConverter, StringConverter

public interface Converter

General purpose data type converter that can be registered and used within the SwingEngine package to manage the conversion of objects from one type to another.

Version:
  $Revision: 1.2 $
Author:
  Wolf Paulus

Method Summary
`Object` | `convert(Class type, Attribute attr, Localizer localizer)` Convert the value of the given `Attribute` object into an output object of the specified type.
`Class` | `convertsTo()` A `Converters` conversTo method informs about the Class type the converter is returning when its `convert` method is called

Method Detail

### convert

    public Object convert(Class type,
                          Attribute attr,
                          Localizer localizer)
                   throws Exception

  Convert the value of the given `Attribute` object into an output object of the specified type.

  Parameters:
    `type` - `Class` Data type to which the Attribute's value should be converted
    `attr` - `Attribute` the attribute, providing the value to be converted.
  Throws:
    `Exception`

### convertsTo

    public Class convertsTo()

  A `Converters` conversTo method informs about the Class type the converter is returning when its `convert` method is called

  Returns:
    `Class` - the Class the converter is returning when its convert method is called

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| SWIXML 1.5 (#144)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 - 2005 - Wolf Paulus - CarlsbadCubes.com . All rights reserved.